# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8

# Noms et extensions reconnus
NAMES=(
    Properties:javaproperties
    overview.html:javadoc-overview
    package.html:javadoc-package
)
EXTS=(
    txt:text
    conf:conf
    sql:sql
    sieve:sieve
    mdt:markdown md:markdown text:markdown
    twp:tiddlywiki
    puml:puml
    iuml:iuml
    sh:shell
    py:pyfile pyw:pyfile
    html:html htm:html
    php:php phps:php
    ctp:cakephp-ctp
    css:css
    js:javascript
    java:java api:wosrccomp wosrc:wosrccomp properties:javaproperties
    pp:ppfile
)

# Aliases de templates
TEMPLATES=(
    t:text c:conf
    md:markdown mdt:markdown mdpage:markdown
    tw:tiddlywiki twp:tiddlywiki twpage:tiddlywiki
    plantuml:puml
    sh:shell
    python:pyfile pyf:pyfile py:pyfile
    pym:pymodule
    jdo:javadoc-overview
    jdp:javadoc-package
    ctp:cakephp-ctp
    js:javascript
    j:java
    properties:javaproperties jprops:javaproperties props:javaproperties
    wc:wosrccomp
    pp:ppfile
)

# Scripts à utiliser pour générer les templates
TEMPLS=(
    text:text conf:text sql:text sieve:text
    markdown:wiki tiddlywiki:wiki
    puml:plantuml iuml:plantuml
    shell:shell
    pyfile:python pymodule:python
    html:www javadoc-package:www javadoc-overview:www php:www cakephp-ctp:www css:www javascript:www
    javaproperties:java java:java woapi:java wosrc:java wosrccomp:java
    ppfile:puppet
)
